commit:     e099a1ee8d0bd25f3563e24459919f6d8a34575a
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri May 26 13:50:47 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri May 26 13:52:58 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e099a1ee

dev-ml/zarith: Bump to 1.5

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ml/zarith/Manifest          |  1 +
 dev-ml/zarith/metadata.xml      |  3 +++
 dev-ml/zarith/zarith-1.5.ebuild | 48 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+)

diff --git a/dev-ml/zarith/Manifest b/dev-ml/zarith/Manifest
index 3f2ab4bf9e7..f4ded9b4cc6 100644
--- a/dev-ml/zarith/Manifest
+++ b/dev-ml/zarith/Manifest
@@ -1 +1,2 @@
 DIST zarith-1.4.1.tgz 88831 SHA256 
23b6c140aad25385bb0b862b9b9fe8a5c6e6f608d0fac7a688aaede5ea876650 SHA512 
ef6717e3b6c19ef94fb0e02eb33b1d9f2b2103a9fe0334cb89b01b344ee953fbeeaed8a75b17daa32760faaf93d582e6778ae50e59e9cf878663f2ecba1d5659
 WHIRLPOOL 
51fc093160ccd5b26282dc1e4f0da223cf0de49c357d560c45bf839ae1dadc53968b117f6ecb96da722fcda2c669ececbd6ca3fab61c71059f37764bfc602888
+DIST zarith-1.5.tar.gz 89211 SHA256 
b1d7b7394267a40c933d387131004cf0bc0dbdaea7a981fce865e1ae5d12e40b SHA512 
4e616b8cc81cd83f51696926e598be3bcda0bb5999db3cf42dd627cf537320a0216c74eb14c57e57fc21c909df8ef3fb3fa602a7ad633c115d2ee61af5a9fdcd
 WHIRLPOOL 
5f99fc525cd54167f8a6188adf8398003e8728ea9fc04b338dd69a2b0c5cbc943b79b9a5dccc41f7e24a62b00ed9900843a8eca124ab652f6c99240d6620bbdb

diff --git a/dev-ml/zarith/metadata.xml b/dev-ml/zarith/metadata.xml
index 81a16c82524..1e2b411522c 100644
--- a/dev-ml/zarith/metadata.xml
+++ b/dev-ml/zarith/metadata.xml
@@ -8,4 +8,7 @@
   <use>
          <flag name="mpir">Use MPIR library instead of GMP.</flag>
   </use>
+  <upstream>
+         <remote-id type="github">ocaml/Zarith</remote-id>
+  </upstream>
 </pkgmetadata>

diff --git a/dev-ml/zarith/zarith-1.5.ebuild b/dev-ml/zarith/zarith-1.5.ebuild
new file mode 100644
index 00000000000..fcb766936ac
--- /dev/null
+++ b/dev-ml/zarith/zarith-1.5.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit findlib eutils toolchain-funcs
+
+DESCRIPTION="Arithmetic and logic operations over arbitrary-precision integers"
+HOMEPAGE="https://github.com/ocaml/Zarith";
+SRC_URI="https://github.com/ocaml/Zarith/archive/release-${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc mpir +ocamlopt"
+
+RDEPEND="
+       >=dev-lang/ocaml-4:=[ocamlopt?]
+       !mpir? ( dev-libs/gmp:0= )
+       mpir? ( sci-libs/mpir )"
+
+DEPEND="${RDEPEND} dev-lang/perl"
+
+S="${WORKDIR}/Zarith-release-${PV}"
+
+src_configure() {
+       tc-export CC
+       ./configure -host "${CHOST}" \
+               -ocamllibdir "/usr/$(get_libdir)" \
+               -installdir "${ED}/usr/$(get_libdir)/ocaml" \
+               $(usex mpir "-mpir" "-gmp") || die
+}
+
+src_compile() {
+       emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt 
yes no) all
+       use doc && emake doc
+}
+
+src_test() {
+       emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt 
yes no) tests
+}
+
+src_install() {
+       findlib_src_preinst
+       emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt 
yes no) install
+       dodoc Changes README.md
+       use doc && dohtml html/*
+}

Reply via email to